Bug 397208 - Reference tool not updating correctly when tabbing to full screen. Bad dirty rectangle update.
Summary: Reference tool not updating correctly when tabbing to full screen. Bad dirty ...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools/Reference Images (show other bugs)
Version: 4.1.1
Platform: Mint (Ubuntu based) Linux
: NOR major
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-06 12:20 UTC by Douglas
Modified: 2018-08-11 18:59 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Before tab (202.54 KB, image/jpeg)
2018-08-06 12:20 UTC, Douglas
Details
Tab error two (185.35 KB, image/jpeg)
2018-08-06 12:29 UTC, Douglas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas 2018-08-06 12:20:48 UTC
Created attachment 114322 [details]
Before tab

Mind KDE fully updated with Nvidia gtx 580 GPU
Krita 4.1.1

When I tab to full window mode a lange chunk of the reference image stays in the wrong place, covering the image I need to work on. Like the dirty rectangle has a one off programming error on its update.

Reproducible. Happens every time (I think).
Comment 1 Douglas 2018-08-06 12:28:14 UTC
I wanted to add an after picture but can't add a second attachment. So here is a link.
http://pasteall.org/pic/f393754a9599c17f3d1047260582f9cc
Comment 2 Douglas 2018-08-06 12:29:39 UTC
Created attachment 114323 [details]
Tab error two

With bug.
Comment 3 joupent 2018-08-10 12:11:15 UTC
Git commit 5018d4733f3cd681a53a1fae2534d83a48f61d36 by Jouni Pentikäinen.
Committed on 09/08/2018 at 13:30.
Pushed by jounip into branch 'master'.

Fix reference image cache update conditions

M  +12   -5    libs/ui/KisReferenceImagesDecoration.cpp

https://commits.kde.org/krita/5018d4733f3cd681a53a1fae2534d83a48f61d36
Comment 4 Halla Rempt 2018-08-11 18:59:49 UTC
Git commit 98a076b9002b1228796062bf90ff1b8c7f5a5a64 by Boudewijn Rempt, on behalf of Jouni Pentikäinen.
Committed on 11/08/2018 at 15:47.
Pushed by rempt into branch 'krita/4.1'.

Fix reference image cache update conditions

M  +12   -5    libs/ui/KisReferenceImagesDecoration.cpp

https://commits.kde.org/krita/98a076b9002b1228796062bf90ff1b8c7f5a5a64